//app.js
App({
  onLaunch: function () {
    wx.getSystemInfo({
      success: res => {
        //导航高度
        this.globalData.navHeight = res.statusBarHeight + 46;
      }, fail(err) {
        console.log(err);
      }
    })
    // this.judgeCloud();
  },
  globalData: {
    navHeight:0,
    cloudState:0,
    allData:null,
  },
  judgeCloud() {
    if (!wx.cloud) {
      //不支持云能力
      console.error('请使用 2.2.3 或以上的基础库以使用云能力')
      this.rewriteAllData();
      wx.redirectTo({
        url: '../main/mian',
      })
    } else {
      //支持云能力
      this.globalData.cloudState = 1;
      wx.cloud.init({
        traceUser: true,
      })
      //先查看该学生是否已经答过题
      
      wx.cloud.callFunction({
        name: 'sD_login',
        data: {}
      }).then(res => {
        console.log(res.result)
        this.globalData.allData = res.result.allData
        //如果没答过题
        if(res.result.state == 0) wx.redirectTo({
          url: '../main/main',
        })
        //如果答过题
        if(res.result.state == 1) wx.redirectTo({
          url: '../index/index',
        })
      }).catch(err => {
        console.log(err)
        this.rewriteAllData();
        wx.redirectTo({
          url: '../main/main',
        })
      })
    }
  },
  rewriteAllData() {
    this.globalData.allData = [
      {
        pngAdd: "https://gss0.baidu.com/-fo3dSag_xI4khGko9WTAnF6hhy/zhidao/pic/item/9d82d158ccbf6c81962c9e57b13eb13533fa4071.jpg",
        // pngAdd: "http://powerrain.cn/styleDay/images/question_1.png",
        question: "问题一：以下哪一项不是四信的内容？",
        answers: [
          { name: 0, value: 'A：信念' },
          { name: 1, value: 'B：信仰' },
          { name: 2, value: 'C：信任' },
          { name: 3, value: 'D：信心' },
        ],
        userAnswer: "",
        rightAnswer: 3,
        illustrate: "‘信心’应为‘信赖’",
        classState: ""
      },
      {
        pngAdd: "https://gss0.baidu.com/-Po3dSag_xI4khGko9WTAnF6hhy/zhidao/pic/item/3801213fb80e7becbff3b15e222eb9389b506b60.jpg",
        // pngAdd: "http://powerrain.cn/styleDay/images/question_2.png",
        question: "问题二：关于以下说法，哪一项是不正确的？",
        answers: [
          { name: 0, value: 'A：要成为新时代青年马克思主义者, 必须坚定对共产主义和中国特色社会主义的执着信仰' },
          { name: 1, value: 'B：要成为新时代青年马克思主义者, 只须练就高强的本领。' },
          { name: 2, value: 'C：要成为新时代青年马克思主义者, 必须常葆对人民群众的赤子之心' },
          { name: 3, value: 'D：要成为新时代青年马克思主义者, 必须树立为实现中华民族伟大复兴的中国梦而奋斗的使命担当' },
        ],
        userAnswer: "",
        rightAnswer: 1,
        illustrate: "要成为新时代青年马克思主义者，必须练就高强的本领，“既要政治过硬, 也要本领高强, 这是党的十九大报告对全党的要求, 对于青年马克思主义者来讲也是完全适用的",
        classState: ""
      },
      {
        pngAdd: "https://gss0.baidu.com/-vo3dSag_xI4khGko9WTAnF6hhy/zhidao/pic/item/b90e7bec54e736d1c23a3eb796504fc2d5626960.jpg",
        // pngAdd: "http://powerrain.cn/styleDay/images/question_3.png",
        question: "问题三：马克思主义之所以是科学，仅仅在于它不再把自己的理论建立在主观臆想的基础上，而是建立在对现实社会进行科学研究的基础之上。",
        answers: [
          { name: 0, value: 'A：正确' },
          { name: 1, value: 'B：错误' },
        ],
        userAnswer: "",
        rightAnswer: 1,
        illustrate: "马克思主义之所以是科学，首先在于它不再把自己的理论建立在主观臆想的基础上，而是建立在对现实社会进行科学研究的基础之上。马克思主义之所以为科学，还在于它不断吸收科学研究的最新成果，而不是故步自封、自视为穷尽一切真理的宗教教义。",
        classState: ""
      },
      {
        pngAdd: "https://gss0.baidu.com/94o3dSag_xI4khGko9WTAnF6hhy/zhidao/pic/item/4e4a20a4462309f7381b1fad7f0e0cf3d7cad61d.jpg",
        // pngAdd: "http://powerrain.cn/styleDay/images/question_4.png",
        question: "问题四：马克思主义始终是我们党和国家的指导思想，是我们认识世界、把握规律、追求真理、改造世界的强大思想武器。",
        answers: [
          { name: 0, value: 'A：正确' },
          { name: 1, value: 'B：错误' },
        ],
        userAnswer: "",
        rightAnswer: 0,
        illustrate: "2018年5月4日，习近平总书记在纪念马克思诞辰200周年大会上强调，对待科学的理论必须有科学的态度。",
        classState: ""
      }
    ]
  }
})